package com.ozs.service.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import com.ozs.common.utils.StringUtils;
import com.ozs.service.entity.MsgAlarm;
import com.ozs.service.entity.MsgAppPush;
import com.ozs.service.entity.vo.MsgAppPushVo;
import com.ozs.service.mapper.MsgAppPushMapper;
import com.ozs.service.service.MsgAppPushService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author wyy
 * @subject
 * @creat 2023/3/6
 */
@Service
public class MsgAppPushServiceImpl extends ServiceImpl<MsgAppPushMapper, MsgAppPush> implements MsgAppPushService {
    @Autowired
    MsgAppPushMapper msgAppPushMapper;

    @Override
    public IPage<MsgAppPushVo> alarmPushMsg(MsgAppPushVo msgAppPushVo) {
        // List<MsgAppPushVo> list = msgAppPushMapper.alarmPushMsg(status);
        Page<MsgAppPushVo> page = PageHelper.startPage(msgAppPushVo.getPageNum().intValue(), msgAppPushVo.getPageSize().intValue())
                .doSelectPage(() -> msgAppPushMapper.alarmPushMsg(msgAppPushVo));
        com.baomidou.mybatisplus.extension.plugins.pagination.Page<MsgAppPushVo> pageR =
                new com.baomidou.mybatisplus.extension.plugins.pagination.Page<>(msgAppPushVo.getPageNum().intValue(), msgAppPushVo.getPageSize().intValue());
        pageR.setSize(page.size());
        pageR.setTotal(page.getTotal());
        pageR.setRecords(page.getResult());
        return pageR;
    }

    @Override
    public int update(Long id, Integer status, String updateBy) {
        int num = msgAppPushMapper.update(id, status, updateBy);
        return num;
    }
}
